.LP
.nf
     ELMT03                         FEAP ELEMENT USERS MANUAL
     --------------------------------------------------------
	e,nu,rho,l,k
	b-r,b-z,alpha,T0
     --------------------------------------------------------
.PP
ELMT03 is a general axisymmetric (torsionless) element for 
linear elastic and isotropic materials.  The element includes
capabilities for computing solutions which involve constant
body forces and specified temperature loadings.
.PP
The material and property descriptions are included after a 'mate'
in the mesh specification.  For ELMT03, which is a general 3-9
element, the properties to be
specified are:
.nf
     e     -  Young's modulus
     nu    -  Poisson ratio
     rho   -  Mass density
     l     -  number of Gauss quadrature points/direction for
	      computing the finite element arrays (e.g., stiffness)
     k     -  number of Gauss quadrature points/direction for
	      stress ouputs
     b-r   -  body force value (constant) for r-direction.
     b-z   -  body force value (constant) for z-direction.
     alp   -  coefficient of linear thermal expansion.
     t0    -  stress free temperature for this material.
	      (note: nodal temperatures are specified using
	      'temp' during mesh specification).
.PP
The element requires a two dimensional mesh and uses the first
two coordinate values for r and z, respectively.  Similarly, the
element uses the first 2-dof at each node for the u-r and u-z 
displacement values, respectively.
.PP
ELMT03 requires that the control information be set so that 'ndm'
(space dimension of mesh) is 2 or more (maximum 3); 'ndf' maximum
number of degree-of-freedoms at a node are 2 or more (maximum 6);
and 'nen' (maximum number of nodes attached to an element) be 3 or more.
The element routine will compute any combination of nodes, up to 9,
provided all vertex nodes are specified.  Triangles may be specified
by either giving the same node number for contiguous vertices, or
for the 3-node element, by specifying only the first 3 nodes (i.e.,
node 4 has a zero value).
.PP
Stresses and strains at each quadrature point selected are reported
as follows:
.nf
     rr-stress (rr-strain)  - normal stress in r-coordinate direction
     rz-stress (rz-strain)  - shearing stress in rz-plane
     zz-stress (zz-strain)  - normal stress in z-coordinate direction
     tt-stress (tt-strain)  - normal stress in t-coordinate direction
      1-stress              - major principal stress in rz-plane
      2-stress              - minor principal stress in rz-plane
      angle                 - angle 1-stress makes with r-coordinate
			      direction (in degrees).
.bp
