.LP
.EQ
delim $$
define mp 'mu sub p'
define ap 'alpha sub p'
define lp1 'lambda sub 1 sup ap'
define lp2 'lambda sub 2 sup ap'
define lp3 'lambda sub 3 sup ap'
.EN
.SH
FEAP ELEMENT USERS MANUAL - ELMT08
.LP
Finite Deformation Elastic Element - Ogden Model
.PP
The routine ELMT08 solves plane strain and axisymmetric problems
which are modeled by 4-node isoparametric, constant volume/pressure
elements.  The material model is expressed in an Ogden form as
.EQ
W ~=~ sum from p=1 to n [ ^ mp over ap ^ ( ^ lp1 ^+^ lp2 ^+^ lp3 ^-^ 3)
~-~ mp ^ ln ^ J ^ ] ~+~ half ^ LAMBDA  ^( ln ^ J ) sup 2
.EN
where $mp$ and $ap$ are material parameters for the series $p$, and
$LAMBDA$ is a \fIpenalty\fP parameter used to approximately satisfy
the incompressibility condition for rubber-like materials.
.PP
The material parameters for the model are input in ELMT08 as
follows:
.IP 1.
Record 1. itype, isymm, imat, iaug, $rho$
.TS
center;
l l.
itype	Geometry: 0 = plane strain; 1 = axisymmetric
isymm	Must be 0 for current material models.
imat	Material Model type: 1 = Neo Hookean; else = Ogden
iaug	Augmented Lagrangian: 0 = Penalty; 1 = Augmented.
$rho$	Mass density.
.TE
.IP 2.
Record 2. Neo Hookean Models
.TS
center;
l l.
$LAMBDA$	Bulk Modulus
$mu$	Shear Modulus
.TE
.IP 3.
Record 2. Ogden Models
.TS
center;
l l.
$LAMBDA$	Penalty Lambda
$mu sub 1$	Modulus of first term
$alpha sub 1$	Exponent of first term
$mu sub 2$	Modulus of second term
$alpha sub 2$	Exponent of second term
$mu sub 3$	Modulus of third term
$alpha sub 3$	Exponent of third term
$mu sub 4$	Modulus of fourth term
$alpha sub 4$	Exponent of fourth term
.TE
.LP
The model may be specified with from 1 to 4 terms.  Whenever a zero
value for a $mp$ is encountered the series is truncated to the
number of terms defined to that point.  Any subsequent non-zero
terms are ignored.
.PP
At the present time the mass matrix is not accessible for the Ogden
material.  Accordingly, no dynamic solutions are possible.
