





     BETA                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        beta,name,<v1,v2,v3>
     --------------------------------------------------------

     The use of the macro command 'beta'  indicates  that  a
transient  solution  is  to  be  computed.   Two options are
implemented:

             a.) The Newmark-beta step-by-step integration of
                 the equations of motion.
             b.) An Euler-backward difference solution for
                 first-order ordinary differential equations
                 such as heat transfer, etc.
             c.) An Hilber-Hughes-Taylor alpha method for
                 second order systems.
             d.) An explicit implementation of Newmark.
             e.) An energy conserving generalized mid-point
                 form for second order systems.

The method used depends on the specified 'name' in the  com-
mand.


1. Newmark Method ('name' is 'newm' or blank)

     The values of the Newmark parameters are  specified  as
follows:

       v1  =  beta  - the Newmark parameter which primarily
                      controls stability (default is 0.25).

       v2  =  gamma - the Newmark parameter which primarily
                      controls numerical damping ( default
                      is 0.50)  Note: gamma must be greater
                      than or equal to 0.50.

     This option does  not  permit  an  "explicit"  solution
using  beta  =  0.0, only implicit solutions are considered.
Accordingly, it is recommended that values of beta be set to
0.25 (the default value) unless there is a compelling reason
not to use this value.  With gamma set to 0.50 and beta  set
to  0.25  the  method  becomes the "average" acceleration or
trapezoidal method.


2. Backward Euler ('name' is 'back')

     The backward Euler method requires  no  parameters  for
'v1',  etc.,  and  may  be used to solve any first order ode
set.  In this method only one rate vector exists, namely the
rate of the solution vector.

3. HHT Alpha Method ('name' is 'alph')



                     November 27, 1991





                           - 2 -


     The HHT method  requires  the  specification  of  three
parameters.  The first two are identical to the Newmark beta
and gamma parameters, the third is the HHT  alpha  parameter
(definition  is  different than original papers) in momentum
equation:

          M a(n+1) + (1. - alpha ) N(n)  +  alpha  N(n+1)  =
          F(n+alpha)

where 'N' is the nonlinear internal force term.

       v1  =  beta   - default = 0.25
       v2  =  gamma  - default = 0.5
       v3  =  alpha  - default = 0.5
              Alpha should be between 0.5 and 1. N.B. 1 = Newmark.


4. Explicit Newmark Method ('name' is 'expl')

     This option permits the explicit form  of  the  Newmark
method to be implemented.  The input parameter is only

       v2  =  gamma  - default = 0.5


3. Conserving Alpha Method ('name' is 'cons')

     The conserving method  requires  the  specification  of
three  parameters.   The first two parameters are associated
with the update formulas, the third with the momentum  equa-
tion,

          M (v(n+1) - v(n))/dt + (1. - alpha ) N(n) +  alpha
          N(n+1) = F(n+alpha)

where 'N' is the nonlinear internal force term.

       v1  =  beta   - default = 0.5
       v2  =  gamma  - default = 1.0
       v3  =  alpha  - default = 0.5
              Alpha should be between 0.5 and 1.


     It is possible to specify nonzero values for  the  ini-
tial  velocity  in second order system integrators using the
macro command 'init' ( for initial values).  If the  initial
state  is  not in equilibrium an initial acceleration may be
obtained by using a 'form,acel' macro  command  before  ini-
tiating any transient state.  It is necessary for the param-
eters to first be set using a 'beta'  command.  It  is  also
possible  to  compute  self-equilibrating static states with
non-zero displacements and then switch to  a  dynamic  solu-
tion.  Alternatively, a restart mode ('rest') may be used to
start from a previously computed non-zero state.



                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


