


      ICON                                    FEAP MESH USERS MANUAL
  ---------------------------------------------------------------------
   icon
   nsl,nsntl,nmntl
   nsln(i),nmln(i),islt(i),ifla(i),sfac(i),ityp(i),itan(i)|
   beta                                                   |
   na,nsvn(na)                                            |
   nb,nsvn(nb)                                            |
   ...                                                    |i = 1 to nsl
   na,msrn(na)                                            |
   nb,msrn(nb)                                            |
   ...                                                    |
  ---------------------------------------------------------------------

     The 'icon' macro is used to define surfaces  which  may
interact  through contact during the analysis of solids.  It
is necessary to specify:

     nsl       -  the total number of potential contact surfaces.
     nsntl     -  the total number of nodes on all "slave" surfaces.
     nmntl     -  the total number of nodes on all "master" surfaces.

When looking along a potential contact surface  the  "slave"
surface  is  on the left side and the "master" surface is on
the right side.  Nodes defined on surfaces  must  always  be
specified  with  the  "master"  surface  on the right as the
sequence is input.  For each contact surface (i = 1 to nsl),
the following slideline control information is required:

     nsln      -  number of slave nodes per slide line
     nmln      -  number of master nodes per slide line
     islt      -  slide-line type:
                          1 = sliding only;
                          2 = slide-line tied;
                          3 = slide + void;
                          4 = friction + void.
     ifla      -  flag for contact algorithm
                          1 = 1-pass algorithm
                  otherwise = 2-pass algorithm
                              (changes role of master and slave
                               during second pass)
     sfac      -  stiffness scaling factor (penalty)
     ityp      -  type of solution method :
                          0 = Penalty;
                          1 = Augmented Lagrangian.
     itan      -  type of solution tangent matrix :
                          0 = Consistent;
                          1 = Almost(?) Consistent;
                          2 = Linearized;

After the above slideline control information, the following
contact node data is required:

     beta      -  friction coeficient on the surface






     





    





     na        -  local number of slave node on this surface
     nsvn(na)  -  global (mesh) node number associated with na.
     .....        repeat until all nodes are input (or generated).
     na        -  local number of master node on this surface
     msrn(na)  -  global (mesh) node number associated with na.
     .....        repeat until all nodes are input (or generated).

When specifying nodes on a master or slave surface the local
Nodes  must  be  input  in  an  increasing  sequence  (i.e.,
1,2,5,...). If a node is missing in the sequence the  global
node  will be generated according to the following relation-
ship:

        nsvn(i+1) = (nsvn(nb)-nsvn(na))/(nb-na) + nsvn(i)

Use of an ICON in mesh generation also initiates  a  contact
solution  during  macro solutions.  If a solution is desired
without using the contact option it is  necessary  to  reset
the contact solution using CONT,OFF.  It is also possible to
reset the value of the penalty  parameter  during  execution
usint  the  CONT  macro  command (see CONT in the FEAP MACRO
COMMAND USERS MANUAL).

