





     SETR                                  FEAP MESH USERS MANUAL

8     ____________________________________________________________
     setr
     node1, ngen1, (L(i,node1),i=1,9)
     node2, ngen2, (L(i,node2),i=1,9)
     <etc, terminate with blank record>
8     ____________________________________________________________



     The 'setr' command is used to specify  the  values  for  the
rotational  transformation matrices at the nodes of a shell prob-
lem.  The command is modeled after  the  coor  command,  and  the
input  takes the following form.  For each node to be specified a
record is entered with the following information:

        node       --        number of the node to be specified
        ngen       --        the increment to the next node, if
                             generation is used, otherwise 0.
                              -          -
                             | L1  L4  L7 |
        L-matrix   --        | L2  L5  L8 |
                             | L3  L6  L9 |
                              -          -

     When generation is performed, the node number sequence  will
be (for node1-node2 sequence shown above):

        node1, node1+ngen1, node1+2*ngen1, .... , node2

The values for each coordinate will  be  a  linear  interpolation
between 'node1' and 'node2'.

_N_o_t_e that linear interpolation  makes  no  sense  for  rotational
matrices, but the option is useful for defining a single rotation
matrix for multiple nodes.

     The rotation matrices defined in 'setr' supercede  the  FEAP
default  definition  based on a drill-free map from E3=(0,0,1) to
the nodal director.

Remarks

     1) The columns of the transformation  matrix  L  define  (or
     should define) the nodal orthonormal frame: L = [t1, t2, t],
     with t being the director.

     2) 'setr' will automatically normalize t, t1, and t2 if they
     are not unit-length.

     3) 'setr' will automatically orthogonalize t1 and t2 with t.

     4) If L1-L9 are 0, 'setr' will default  t  to  the  director
     defined  from  the top- and mid-surface nodal positions, and



                        May 7, 1990





SETR                       - 2 -      FEAP MESH USERS MANUAL


     compute the rotation matrix L using a drill-free transforma-
     tion from E3=(0,0,1) to t.

     5) If L7-L9 are 0, 'setr' will default  t  to  the  director
     defined from the top- and mid-surface nodal positions.

     6) If L1-L3 are 0, 'setr' will  default  t1  to  the  cross-
     product: t1 = t2 x t.

     7) If L4-L5 are 0, 'setr' will  default  t2  to  the  cross-
     product: t2 = t x t1.














































                        May 7, 1990





SETR                       - 3 -      FEAP MESH USERS MANUAL



























































                        May 7, 1990


