


     TBLO                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
          tblo
          nodes,r-inc,s-inc,node1,[elmt1,mat,r-skip,b-type]
          1, x1, y1, z1    (only ndm coordinates required)
          2, x2, y2, z2
          etc., until all 'nodes' records are input.
     --------------------------------------------------------------

     The "tblo" data input segment is  used  to  generate  a
regular  one  or  two  dimensional patch of nodes.  Alterna-
tively, nodes together with  4-node  quadrilateral  elements
may be generated for two dimensional patches or three dimen-
sional surfaces.

     The  patch  of  nodes/elements  defined  by  "tblo"  is
developed  from a master element which is defined by an iso-
parametric 4-9 node mapping function in terms of the natural
coordinates  "r"  and  "s".   The node numbers on the master
element of  each  patch  defined  by  "tblo"  are  specified
according  to  Fig.  24.25 on page 748 of THE FINITE ELEMENT
METHOD, 3RD. ED., by O. C.  Zienkiewicz.   The  four  corner
nodes of the master element must be specified, the mid-point
and central node are optional.

     The spacing between the r-increments  and  s-increments
may  be varied by a proper specification of the mid-side and
central  nodes.   Thus,  it  is  possible  to  "concentrate"
nodes/elements  into  one  corner  of the patch generated by
"tblo".  The mid-nodes must lie within the  central-half  of
the  r-  or  s-directions  to keep the isoparametric mapping
single valued for all (r,s) points.

     Patches may be interconnected, in a restricted  manner,
by  using  the "r-skip" parameter judiciously.  In addition,
the "tie" macro may be used to  'connect'  any  nodes  which
have the same coordinates.

     The data parameters are defined as:

nodes-  number of master nodes needed to define the patch.

r-inc-  number of nodal increments to be generated along  r-
     direction of the patch.

s-inc-  number of nodal increments to be generated along  s-
     direction of the patch.

node1-  number to be assigned to  first  generated  node  in
     patch  (default  =  1).   First node is located at same
     location as master node 1.  Last generated node

     (i.e., node1 - 1 + (r-inc + 1) * (s-inc + 1)

is located at same location as master node 3.










elmt1-  number to be assigned to first element generated  in
     patch; if zero no elements are generated (default = 0)

matl -  material number to be assigned to all generated ele-
     ments in patch (default = 1)

r-skip-  number of nodes to skip between end  of  an  r-line
     and  start  of next r-line (may be used to interconnect
     blocks side-by-side) (default = 1)

b-type

     =0 - nodes and 4-node elements on  patch;  sequentially
     along consecutive r-lines

     =1 - 3-node triangles (diagonals in  2-4  direction  of
     block)

     =2 - 3-node triangles (diagonals in  1-3  direction  of
     block)

     =3 - 3-node triangles (diagonals alternate 2-4 then  1-
     3)

     =4 - 3-node triangles (diagonals alternate 1-3 then  2-
     4)

     =5 - 3-node triangles (diagonals in union-jack pattern)

     =6 - 3-node triangles (diagonals in inverse  union-jack
     pattern)

     =7 - 6-node triangles (similar to =2 orientation)

     =8 - 8-node quadrilaterals  (N.B.  Interior  node  gen-
     erated  but  not  used,  rinc  and  sinc  must  be even
     numbers).

     =9 - 9-node quadrilaterals (rinc and sinc must be  even
     numbers).

     =10 - 8-node bricks - data is reordered above to be:

          nodes,r-inc,s-inc,t-inc,node1,elmt1,mat,b-type

     where t-inc is the number of increments to generate  in
     the  third (zeta) direction.  Note that nodes must be 8
     or more.
